summaryrefslogtreecommitdiff
path: root/package/base-files/src/etc/network/if-post-down.d/03-wireless
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-02-14 00:38:41 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2010-02-14 00:38:41 +0100
commita03e16ce46353740a2b778beda4dda03c0252e07 (patch)
treea13c0f4d285a03a2e5a3ddc42ac718b23bc30a80 /package/base-files/src/etc/network/if-post-down.d/03-wireless
parent42675af37cb5ce735452311734cc5b88a66d6d9d (diff)
parent58f2ba6405c8b0390995af535592c94eb38e013c (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'package/base-files/src/etc/network/if-post-down.d/03-wireless')
-rwxr-xr-xpackage/base-files/src/etc/network/if-post-down.d/03-wireless21
1 files changed, 21 insertions, 0 deletions
diff --git a/package/base-files/src/etc/network/if-post-down.d/03-wireless b/package/base-files/src/etc/network/if-post-down.d/03-wireless
new file mode 100755
index 000000000..86e0c73e1
--- /dev/null
+++ b/package/base-files/src/etc/network/if-post-down.d/03-wireless
@@ -0,0 +1,21 @@
+#!/bin/sh
+set -e
+
+[ "${IFACE%%[0-9]*}" = "wlan" ] || exit 0
+
+case "$IF_WIRELESS_MODE" in
+ ap)
+ logger -t hostap "Killing hostapd"
+ pkill hostapd
+ ;;
+ sta)
+ [ "$IF_WIRELESS_SECURITY" != "none" ] && {
+ logger -t wireless "Killing wpa_supplicant"
+ pkill wpa_supplicant
+ }
+ ;;
+ *)
+ exit 0
+ ;;
+esac
+exit 0